#!/bin/sh
CMD_NAME="bytix-archaea-dialog"
CMD_SA_NAME="${CMD_NAME}-standalone"
CMD_PATH=$0
BASE_NAME=`basename ${CMD_PATH}`

TMP="${BASE_NAME%.sh}"
if [ ${TMP} != ${CMD_SA_NAME} ] ; then
   # unknown command or script name
   echo "unexpected command base name, ${BASE_NAME}"
   exit 1
fi
if [ ${TMP} = ${BASE_NAME} ] ; then
  # maybe call from /usr/bin
  CMD_PATH=`readlink -f ${CMD_PATH}`
  BASE_NAME=`basename ${CMD_PATH}`
fi
APP_NAME=`basename ${CMD_PATH} | sed -e "s/-standalone\.sh$//"`

DIR_NAME=`dirname ${CMD_PATH}`
tmp="${DIR_NAME#?}"

if [ "${DIR_NAME%$tmp}" != "/" ]; then
  # DIR_NAME is relative path
  DIR_NAME=${PWD}/${DIR_NAME}
fi
if [ -z "${LD_LIBRARY_PATH}" ] ; then
  LD_LIBRARY_PATH=${DIR_NAME}
else
  LD_LIBRARY_PATH="${DIR_NAME}:${LD_LIBRARY_PATH}"
fi
export LD_LIBRARY_PATH
${DIR_NAME}/${APP_NAME} "$@"
